MyGUI: MyGUI::ResourceLayout Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes
MyGUI::ResourceLayout Class Reference

`#include <MyGUI_ResourceLayout.h>`

Inheritance diagram for MyGUI::ResourceLayout:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceLayout | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
| ResourceLayout ()=default
| ResourceLayout (xml::ElementPtr _node, std::string_view _file)
void | deserialization (xml::ElementPtr _node, Version _version) override
const VectorWidgetInfo & | getLayoutData () const
VectorWidgetPtr | createLayout (std::string_view _prefix={}, Widget *_parent=nullptr)
Widget * | createWidget (const WidgetInfo &_widgetInfo, std::string_view _prefix={}, Widget *_parent=nullptr, bool _template=false)
Public Member Functions inherited from MyGUI::IResource
template<typename Type>
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (std::string_view _value)
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Protected Member Functions
WidgetInfo | parseWidget (xml::ElementEnumerator &_widget)
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default

## Protected Attributes
VectorWidgetInfo | mLayoutData
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

ResourceLayout is resource that contain full layout info, used for creating widgets.

Definition at line 18 of file MyGUI_ResourceLayout.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ResourceLayout::Base

Definition at line 20 of file MyGUI_ResourceLayout.h.

## ◆ RTTIBase

typedef ResourceLayout MyGUI::ResourceLayout::RTTIBase

Definition at line 20 of file MyGUI_ResourceLayout.h.

## Constructor & Destructor Documentation

## ◆ ResourceLayout() [1/2]

MyGUI::ResourceLayout::ResourceLayout | ( |  | ) |
| default

## ◆ ResourceLayout() [2/2]

MyGUI::ResourceLayout::ResourceLayout | ( | xml::ElementPtr | _node,
|  | std::string_view | _file )

Definition at line 19 of file MyGUI_ResourceLayout.cpp.

## Member Function Documentation

## ◆ createLayout()

VectorWidgetPtr MyGUI::ResourceLayout::createLayout | ( | std::string_view | _prefix = {},
|  | Widget * | _parent = nullptr )

Create widgets described in layout

Definition at line 104 of file MyGUI_ResourceLayout.cpp.

## ◆ createWidget()

Widget * MyGUI::ResourceLayout::createWidget | ( | const WidgetInfo & | _widgetInfo,
|  | std::string_view | _prefix = {},
|  | Widget * | _parent = nullptr,
|  | bool | _template = false )

Definition at line 117 of file MyGUI_ResourceLayout.cpp.

## ◆ deserialization()

void MyGUI::ResourceLayout::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )
| overridevirtual

Reimplemented from MyGUI::IResource.

Definition at line 26 of file MyGUI_ResourceLayout.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::ResourceLayout::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 20 of file MyGUI_ResourceLayout.h.

## ◆ getLayoutData()

const VectorWidgetInfo & MyGUI::ResourceLayout::getLayoutData | ( |  | ) | const

Definition at line 224 of file MyGUI_ResourceLayout.cpp.

## ◆ getTypeName()

virtual std::string_view MyGUI::ResourceLayout::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IResource.

Definition at line 20 of file MyGUI_ResourceLayout.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::ResourceLayout::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 20 of file MyGUI_ResourceLayout.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceLayout::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IResource.

Definition at line 20 of file MyGUI_ResourceLayout.h.

## ◆ parseWidget()

WidgetInfo MyGUI::ResourceLayout::parseWidget | ( | xml::ElementEnumerator & | _widget | ) |
| protected

Definition at line 37 of file MyGUI_ResourceLayout.cpp.

## Field Documentation

## ◆ mLayoutData

VectorWidgetInfo MyGUI::ResourceLayout::mLayoutData
| protected

Definition at line 45 of file MyGUI_ResourceLayout.h.

The documentation for this class was generated from the following files:

- MyGUI_ResourceLayout.h
- MyGUI_ResourceLayout.cpp